## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           lunasvg
Version:        3.1.0
Release:        %autorelease
Summary:        Standalone SVG rendering library in C++

License:        MIT
URL:            https://github.com/sammycage/lunasvg
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        plutovg-0.0.10.tar.gz

BuildRequires:  chrpath
BuildRequires:  cmake
BuildRequires:  gcc-c++

BuildRequires:  stb_image_write-devel

# License: MIT
Provides:       bundled(plutovg) = 0.0.10

# use local plutovg, not git clone
Patch:          plutovg.patch

%description
LunaSVG is a standalone SVG rendering library in C++.

%package        devel
Summary:        Development headers and libraries for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development headers and libraries for %{name}.

%prep
%setup -q -T -D -b0
%setup -q -T -D -b1
%autopatch -p1

%build
# move plutovg into place
mv ../plutovg-0.0.10 plutovg

%cmake \
  -DLUNASVG_LIBDIR="%{_libdir}" \
  -DLUNASVG_BUILD_EXAMPLES=ON \

%cmake_build

%install
%cmake_install

chrpath -d %{_vpath_builddir}/examples/svg2png
install -Dpm0755 -t %{buildroot}%{_bindir} %{_vpath_builddir}/examples/svg2png

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_bindir}/svg2png
%{_libdir}/lib%{name}.so.3{,.*}
%{_libdir}/libplutovg.so.0{,.*}

%files devel
%{_includedir}/%{name}/%{name}.h
%{_includedir}/plutovg/plutovg.h
%{_libdir}/lib%{name}.so
%{_libdir}/libplutovg.so
%{_libdir}/cmake/%{name}
%{_libdir}/cmake/plutovg

%changelog
## START: Generated by rpmautospec
* Mon Dec 30 2024 Jonathan Wright <jonathan@almalinux.org> - 3.1.0-1
- update to 3.1.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Mar 25 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 2.3.9-1
- Initial import; Fixes: RHBZ#2265692
## END: Generated by rpmautospec
